var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Component, Inject, forwardRef, EventEmitter, ViewEncapsulation } from '@angular/core';
import { PropertyMetadataClass } from './property.metadata.class';
import { ComponentSettingsDialogComponent } from '../component-settings-dialog.component';
export var DEFAULT_INPUTS_BOOLEAN_METADATA = PropertyMetadataClass.DEFAULT_INPUTS_METADATA.slice();
var BooleanMetadataComponent = (function (_super) {
    __extends(BooleanMetadataComponent, _super);
    function BooleanMetadataComponent(settingsDialog) {
        var _this = _super.call(this, settingsDialog) || this;
        _this.onChange = new EventEmitter();
        return _this;
    }
    BooleanMetadataComponent.prototype.parseValue = function (arg) {
        if (arg !== undefined && arg !== null && typeof arg !== 'boolean') {
            return (arg === 'true');
        }
        return arg;
    };
    BooleanMetadataComponent.prototype.ngOnInit = function () {
        this.initialize();
    };
    BooleanMetadataComponent.prototype.ngOnDestroy = function () {
        this.destroy();
    };
    return BooleanMetadataComponent;
}(PropertyMetadataClass));
export { BooleanMetadataComponent };
BooleanMetadataComponent.DEFAULT_INPUTS_BOOLEAN_METADATA = DEFAULT_INPUTS_BOOLEAN_METADATA;
BooleanMetadataComponent.decorators = [
    { type: Component, args: [{
                selector: 'boolean-metadata',
                template: "\n    <div fxLayout=\"row\" fxLayoutAlign=\"space-between center\" fxFlexFill layout-padding [formGroup]=\"getFormGroup()\">\n      <md-slide-toggle fxFlex fxLayoutAlign=\"start center\" [checked]=\"checked\" [ngModel]=\"getValue()\" (ngModelChange)=\"innerOnChange($event)\"\n        [formControlName]=\"getPropertyName()\">\n        {{ data.label }}\n      </md-slide-toggle>\n      <md-icon fxFlex=\"10\" fxFlexFill *ngIf=\"data.tooltip\" [mdTooltip]=\"data.tooltip\" mdTooltipPosition=\"right\" class=\"material-icons\">\n        info </md-icon>\n    </div>\n  ",
                styles: ["\n    md-form-field.ng-invalid.ng-touched .md-input-wrapper .md-hint,md-form-field.ng-invalid.ng-touched .md-input-wrapper .md-input-placeholder.md-focused{color:#f44336}md-form-field.ng-invalid.ng-touched .md-input-wrapper .md-input-underline{border-top-color:#f44336}md-form-field.ng-invalid.ng-touched .md-input-wrapper .md-input-underline .md-input-ripple{background-color:#f44336}md-select{margin:16px 0}\n  "],
                inputs: DEFAULT_INPUTS_BOOLEAN_METADATA.slice(),
                encapsulation: ViewEncapsulation.None
            },] },
];
BooleanMetadataComponent.ctorParameters = function () { return [
    { type: ComponentSettingsDialogComponent, decorators: [{ type: Inject, args: [forwardRef(function () { return ComponentSettingsDialogComponent; }),] },] },
]; };
//# sourceMappingURL=boolean-metadata.component.js.map